Bug 114419 - Fixed definied python version
Fixed definied python version
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: newt (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-01-27 16:52 EST by Robert Scheck
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version: 0.51.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 17:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-01-27 16:52:30 EST
Description of problem:
"%define pythonver 2.3" in the spec file of the package

Version-Release number of selected component (if applicable):
newt-0.51.6-2

Actual results:
Maybe causes problems at rebuilding...and it's ugly, too - in my 
eyes.

Expected results:
Change it maybe to:

%define pythonver %(%{__python} -c "import sys; print sys.version[:3]")

as in up2date :-) Then rebuilding at different pythons will work
fine.
Comment 1 Robert Scheck 2004-04-13 15:31:18 EDT
But it isn't pushed to the Fedora Development tree, yet:

newt-0.51.6-2.1.1.src.rpm        17-Mar-2004 14:14   170k 

Did you forgot to add it?
Comment 2 Eido Inoue 2004-04-13 15:37:07 EDT
It's in CVS, but not RAWHIDE. I'm waiting for test2 tree to close and
re-open at the beginning of test3 to allow for more time to relink apps.

There is no "CLOSED CVS" status in bugzilla, so RAWHIDE was the
closest thing.
Comment 3 Robert Scheck 2004-08-13 21:45:57 EDT
*hrm* FC2 test2 is far far away and I can't find the fix in -3 (the 
current latest newt in Rawhide) - what's up? We are going to run to 
test2 of FC3 now...reopening.
Comment 4 Eido Inoue 2004-10-14 17:02:28 EDT
should be fixed now in 0.51.6-4

Note You need to log in before you can comment on or make changes to this bug.